#!/usr/bin/env python3
import sqlite3
import csv

# Pfad zur CSV-Datei
csv_file = 'data.csv'

# Pfad zur SQLite-Datenbank
db_path = '/home/divers/datenbank/temperaturen.db'

# Verbindung zur SQLite-Datenbank herstellen
conn = sqlite3.connect(db_path)
cursor = conn.cursor()

# CSV-Datei öffnen und Daten einfügen
with open(csv_file, 'r') as file:
    csv_reader = csv.DictReader(file)
    for row in csv_reader:
        temperature = float(row['temperature'])  # Temperaturwert aus der CSV-Datei
        timestamp = row['Timestamp']  # Zeitstempel aus der CSV-Datei

        # SQL-Abfrage zum Einfügen des Datensatzes in die Tabelle "istwert"
        cursor.execute("INSERT INTO istwert (messstelle, temperatur, zeitstempel) VALUES (?, ?, ?)",
                       (1, temperature, timestamp))

# Änderungen in der Datenbank speichern
conn.commit()

# Datenbankverbindung schließen
conn.close()
